Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I'm trying to upgrade my PHP from 5.3.13 to 5.5 following this post, which links http://www.if-not-true-then-false.com/2010/install-apache-php-on-fedora-centos-red-hat-rhel/. However, I got error messages at the very first step that adds repositories:

$ sudo rpm -Uvh http://rpms.famillecollet.com/enterprise/remi-release-4.rpm
error: Failed dependencies:
epel-release >= 4 is needed by remi-release-4-7.el4.remi.noarch
$ sudo rpm -Uvh http://dl.fedoraproject.org/pub/epel/4/i386/epel-release-4-10.noarch.rpm
error: Failed dependencies:
fedora-release conflicts with epel-release-4-10.noarch

I'm using Red Hat 4.6.1:

$ cat /proc/version 
Linux version 2.6.40.6-0.fc15.x86_64 (mockbuild@x86-12.phx2.fedoraproject.org) (gcc      version 4.6.1 20110908 (Red Hat 4.6.1-9) (GCC) ) #1 SMP Tue Oct 4 00:39:50 UTC 2011
$ cat /etc/redhat-release
Fedora release 15 (Lovelock)

Current PHP:

$ php -v
PHP 5.3.13 (cli) (built: May  9 2012 14:38:35) 

Any suggestions?

share|improve this question
    
cat /etc/redhat-release ? –  ALex_hha Sep 23 '13 at 15:12
    
@ALex_hha Fedora release 15 (Lovelock) –  Yang Sep 23 '13 at 15:13
    
First update Fedora to a supported version. Remember that Fedora has a very short 13-month lifecycle, so you must upgrade at least annually. –  Michael Hampton Sep 23 '13 at 16:26

1 Answer 1

You can't mix Fedora release with Epel release. So I think the right way is to build php from src.rpm.

# rpm -ivh http://dl.iuscommunity.org/pub/ius/testing/Redhat/6/SRPMS/php55u-5.5.3-1.ius.el6.src.rpm

# rpmbuild -ba --target=x86_64 php55u.spec
...
...
...
Wrote: /root/rpmbuild/SRPMS/php55u-5.5.3-1.ius.fc15.src.rpm
Wrote: /root/rpmbuild/RPMS/x86_64/php55u-5.5.3-1.ius.fc15.x86_64.rpm
Wrote: /root/rpmbuild/RPMS/x86_64/php55u-cli-5.5.3-1.ius.fc15.x86_64.rpm
Wrote: /root/rpmbuild/RPMS/x86_64/php55u-fpm-5.5.3-1.ius.fc15.x86_64.rpm
Wrote: /root/rpmbuild/RPMS/x86_64/php55u-common-5.5.3-1.ius.fc15.x86_64.rpm
Wrote: /root/rpmbuild/RPMS/x86_64/php55u-devel-5.5.3-1.ius.fc15.x86_64.rpm
Wrote: /root/rpmbuild/RPMS/x86_64/php55u-opcache-5.5.3-1.ius.fc15.x86_64.rpm
Wrote: /root/rpmbuild/RPMS/x86_64/php55u-imap-5.5.3-1.ius.fc15.x86_64.rpm
Wrote: /root/rpmbuild/RPMS/x86_64/php55u-ldap-5.5.3-1.ius.fc15.x86_64.rpm
Wrote: /root/rpmbuild/RPMS/x86_64/php55u-pdo-5.5.3-1.ius.fc15.x86_64.rpm
Wrote: /root/rpmbuild/RPMS/x86_64/php55u-mysqlnd-5.5.3-1.ius.fc15.x86_64.rpm
Wrote: /root/rpmbuild/RPMS/x86_64/php55u-pgsql-5.5.3-1.ius.fc15.x86_64.rpm
Wrote: /root/rpmbuild/RPMS/x86_64/php55u-process-5.5.3-1.ius.fc15.x86_64.rpm
Wrote: /root/rpmbuild/RPMS/x86_64/php55u-odbc-5.5.3-1.ius.fc15.x86_64.rpm
Wrote: /root/rpmbuild/RPMS/x86_64/php55u-soap-5.5.3-1.ius.fc15.x86_64.rpm
Wrote: /root/rpmbuild/RPMS/x86_64/php55u-interbase-5.5.3-1.ius.fc15.x86_64.rpm
Wrote: /root/rpmbuild/RPMS/x86_64/php55u-snmp-5.5.3-1.ius.fc15.x86_64.rpm
Wrote: /root/rpmbuild/RPMS/x86_64/php55u-xml-5.5.3-1.ius.fc15.x86_64.rpm
Wrote: /root/rpmbuild/RPMS/x86_64/php55u-xmlrpc-5.5.3-1.ius.fc15.x86_64.rpm
Wrote: /root/rpmbuild/RPMS/x86_64/php55u-mbstring-5.5.3-1.ius.fc15.x86_64.rpm
Wrote: /root/rpmbuild/RPMS/x86_64/php55u-gd-5.5.3-1.ius.fc15.x86_64.rpm
Wrote: /root/rpmbuild/RPMS/x86_64/php55u-bcmath-5.5.3-1.ius.fc15.x86_64.rpm
Wrote: /root/rpmbuild/RPMS/x86_64/php55u-gmp-5.5.3-1.ius.fc15.x86_64.rpm
Wrote: /root/rpmbuild/RPMS/x86_64/php55u-dba-5.5.3-1.ius.fc15.x86_64.rpm
Wrote: /root/rpmbuild/RPMS/x86_64/php55u-litespeed-5.5.3-1.ius.fc15.x86_64.rpm
Wrote: /root/rpmbuild/RPMS/x86_64/php55u-mcrypt-5.5.3-1.ius.fc15.x86_64.rpm
Wrote: /root/rpmbuild/RPMS/x86_64/php55u-tidy-5.5.3-1.ius.fc15.x86_64.rpm
Wrote: /root/rpmbuild/RPMS/x86_64/php55u-mssql-5.5.3-1.ius.fc15.x86_64.rpm
Wrote: /root/rpmbuild/RPMS/x86_64/php55u-embedded-5.5.3-1.ius.fc15.x86_64.rpm
Wrote: /root/rpmbuild/RPMS/x86_64/php55u-pspell-5.5.3-1.ius.fc15.x86_64.rpm
Wrote: /root/rpmbuild/RPMS/x86_64/php55u-recode-5.5.3-1.ius.fc15.x86_64.rpm
Wrote: /root/rpmbuild/RPMS/x86_64/php55u-intl-5.5.3-1.ius.fc15.x86_64.rpm
Wrote: /root/rpmbuild/RPMS/x86_64/php55u-enchant-5.5.3-1.ius.fc15.x86_64.rpm
share|improve this answer
    
Thanks for your answer. One problem I'm worrying about is I have a php website that uses fastcgi. If I update php in this way, will my websites still work? –  Yang Sep 23 '13 at 20:12

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.